#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-distlib
Version		:	0.3.6
Release		:	14.8.0.0%{?dist}
Summary		:	Low-level functions that relate to packaging and distribution of Python software

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	PSF
URL		:	https://github.com/pypa/distlib
			# https://distlib.readthedocs.io

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python-packaging
BuildRequires	:	python-pyparsing
BuildRequires	:	python-pep517
BuildRequires	:	python3-setuptools
BuildRequires	:	python3-tomli
BuildRequires	:	python-wheel
#-----------------------------------------------------------------------------
%description
Distlib is a library which implements low-level functions that
relate to packaging and distribution of Python software.
It is intended to be used as the basis for third-party
packaging tools. 
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

%{__rm} %{sname}/*.exe

#-----------------------------------------------------------------------------
#building application
%build

echo "Version: %{version}" > PKG-INFO

%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
#{__python} tests/test_all.py

	
#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl

#-----------------------------------------------------------------------------
%changelog
